*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

a{
    text-decoration: none;
    color: inherit;
}

a:visited{
    color: inherit;
}

body {
    font-family: Arial, sans-serif;
    background-color: #f0f2f5;
    margin: 0;
    color: #333;
}

.arriba{
    background-color: black;
    color: white;
    padding: 15px 30px;
    display: flex;
    justify-content: space-between;
}

.salir {
    background-color: rgb(255, 54, 54);
    border: none;
    padding: 8px 15px;
    cursor: pointer;
    font-weight: bold;
    border-radius: 20px;
}

.container {
    display: grid;
    grid-template-columns: 250px 1fr 250px;
    gap: 20px;
    padding: 20px;
    max-width: 1300px;
    margin: auto;
}

.barralateral, .barralateral-derecha {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.barralateral-info {
    padding: 15px; 
}

.menu {
    display: block;
    background-color: rgb(251, 96, 96);
    color: rgb(0, 0, 0);
    text-decoration: none;
    padding: 12px;
    margin-bottom: 10px;
    border-radius: 8px;
    font-weight: bold;
}

.perfil {
    background: white;
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 2px 10px rgba(0,0,0,0.1);
    text-align: center;
    margin-bottom: 20px;
}

.avatar {
    width: 100px;
    height: 100px;
    background: #3f51b5;
    color: white;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 40px;
    margin: 0 auto 15px;
}

.estadisticas {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-top: 15px;
}

.img {
    width: 100%;
    border-radius: 8px;
    margin: 15px 0;
    border: solid 1px;
}

.widget {
    background: white;
    padding: 15px;
    margin-left: 10px;
}

.sugerencias {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
}

.seguir {
    background-color: rgb(246, 80, 80);
    color: rgb(0, 0, 0);
    padding: 4px 10px;
    border-radius: 20px;
    cursor: pointer;
    border: none;
}

.post{
    background: white;
    padding: 20px;
    border-radius: 10px;
    margin-top: 20px;
    box-shadow: 0 2px 10px rgba(0,0,0,0.1);
}

.post-header{
    margin-bottom: 15px;
}

.post-content h4{
    margin-bottom: 10px;
}

.post-actions{
    display: flex;
    gap: 20px;
    margin-top: 15px;
    color: gray;
}